From 50132ced44c2d7387942101afcf5ab6c4abb8078 Mon Sep 17 00:00:00 2001
From: Dominic Hargreaves <dom@earth.li>
Date: Mon, 5 Mar 2012 16:02:15 +0000
Subject: [PATCH] Pass CPPFLAGS and LDFLAGS to Makefile.PL and Build.PL

---
 Debian/Debhelper/Buildsystem/perl_build.pm     |    6 +++++-
 Debian/Debhelper/Buildsystem/perl_makemaker.pm |    6 +++++-
 2 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/Debian/Debhelper/Buildsystem/perl_build.pm b/Debian/Debhelper/Buildsystem/perl_build.pm
index 724e1e0..35a23d6 100644
--- a/Debian/Debhelper/Buildsystem/perl_build.pm
+++ b/Debian/Debhelper/Buildsystem/perl_build.pm
@@ -9,6 +9,7 @@ package Debian::Debhelper::Buildsystem::perl_build;
 use strict;
 use Debian::Debhelper::Dh_Lib qw(compat);
 use base 'Debian::Debhelper::Buildsystem';
+use Config;
 
 sub DESCRIPTION {
 	"Perl Module::Build (Build.PL)"
@@ -42,7 +43,10 @@ sub configure {
 	my @flags;
 	$ENV{PERL_MM_USE_DEFAULT}=1;
 	if ($ENV{CFLAGS} && ! compat(8)) {
-		push @flags, "config=optimize=$ENV{CFLAGS}";
+		push @flags, "config=optimize=$ENV{CFLAGS} $ENV{CPPFLAGS}";
+	}
+	if ($ENV{LDFLAGS} && ! compat(8)) {
+		push @flags, "config=ld=$Config{ld} $ENV{LDFLAGS}";
 	}
 	$this->do_perl("Build.PL", "installdirs=vendor", @flags, @_);
 }
diff --git a/Debian/Debhelper/Buildsystem/perl_makemaker.pm b/Debian/Debhelper/Buildsystem/perl_makemaker.pm
index 722a12a..342e0eb 100644
--- a/Debian/Debhelper/Buildsystem/perl_makemaker.pm
+++ b/Debian/Debhelper/Buildsystem/perl_makemaker.pm
@@ -9,6 +9,7 @@ package Debian::Debhelper::Buildsystem::perl_makemaker;
 use strict;
 use Debian::Debhelper::Dh_Lib qw(compat);
 use base 'Debian::Debhelper::Buildsystem::makefile';
+use Config;
 
 sub DESCRIPTION {
 	"Perl ExtUtils::MakeMaker (Makefile.PL)"
@@ -47,7 +48,10 @@ sub configure {
 	$ENV{PERL_AUTOINSTALL}="--skipdeps";
 
 	if ($ENV{CFLAGS} && ! compat(8)) {
-		push @flags, "OPTIMIZE=$ENV{CFLAGS}";
+		push @flags, "OPTIMIZE=$ENV{CFLAGS} $ENV{CPPFLAGS}";
+	}
+	if ($ENV{LDFLAGS} && ! compat(8)) {
+		push @flags, "LD=$Config{ld} $ENV{LDFLAGS}";
 	}
 
 	$this->doit_in_sourcedir("perl", "Makefile.PL", "INSTALLDIRS=vendor",
-- 
1.7.9

